Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# TextFont Class Reference

An encapsulation of a font; i.e. More...

Inheritance diagram for TextFont:

List of all members.

## Public Types
enum | RenderMode { RMTexture = 0, RMWireframe = 1, RMPolygon = 2, RMExtruded = 3, RMSolid = 4, RMInvalid = 5 }
enum | WindingOrder { WODefault = 0, WOLeft = 1, WORight = 2, WOInvalid = 3 }
## Public Member Functions
float | getLineHeight ()
| Returns the number of units high each line of text is.
float | getSpaceAdvance ()
| Returns the number of units wide a space is.
bool | isValid ()
| Returns true if the font is valid and ready to use, false otherwise.
TextFont | makeCopy ()
| setLineHeight (float line_height)
| Changes the number of units high each line of text is.
| setSpaceAdvance (float space_advance)
| Changes the number of units wide a space is.
| write (ostream out, int indent_level)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

An encapsulation of a font; i.e.

a set of glyphs that may be assembled together by a TextNode to represent a string of text.

This is just an abstract interface; see StaticTextFont or DynamicTextFont for an actual implementation.

## Member Enumeration Documentation

enum RenderMode

Enumerator:

  RMTexture |
  RMWireframe |
  RMPolygon |
  RMExtruded |
  RMSolid |
  RMInvalid |

enum WindingOrder

Enumerator:

  WODefault |
  WOLeft |
  WORight |
  WOInvalid |

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from TypedReferenceCount.

Reimplemented in DynamicTextFont, and StaticTextFont.

float getLineHeight | ( |  | ) |

Returns the number of units high each line of text is.

Reimplemented in DynamicTextFont.

float getSpaceAdvance | ( |  | ) |

Returns the number of units wide a space is.

Reimplemented in DynamicTextFont.

bool isValid | ( |  | ) |

Returns true if the font is valid and ready to use, false otherwise.

TextFont makeCopy | ( |  | ) |

Reimplemented in DynamicTextFont.

setLineHeight | ( | float | line_height | ) |

Changes the number of units high each line of text is.

setSpaceAdvance | ( | float | space_advance | ) |

Changes the number of units wide a space is.

write | ( | ostream | out,
|  | int | indent_level
| ) |  |

Reimplemented in DynamicTextFont.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties